Page MenuHomePhabricator

Audit and visualise mode switching in VE with Desktop/Mobile + Section/Non-section edits + Modified/Unmodified state
Closed, ResolvedPublic

Description

The help visualise the work on T117716, T128422, T220007 and T221981 and to assist with QA.

Here are the slides: https://docs.google.com/presentation/d/1RtRt368uY74-omgIZd9U7SSfQdtkHfmB-aigqIGfDOU/edit?usp=sharing

BeforeExpected

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 25 2019, 10:19 PM
Esanders updated the task description. (Show Details)Apr 25 2019, 10:22 PM
Esanders moved this task from Incoming to In progress on the VisualEditor (Current work) board.
Esanders added subscribers: Ryasmeen, ppelberg.

In the second slide the only case that still behaves strangely is switching from VE section editing to wikitext. This is because a section edit in VE can potentially affect other parts of the document (e.g. removing a reference can cause it to be re-defined elsewhere). We could potentially look at the wikitext diff and check if it is confined to the section then put them back into section editing mode. It would be a fair amount of work to do that, and there will always be cases where we have to put them in full document mode because their change did modify other parts of the page.

Desktop visual section editing (T?????? in the screenshot footers) is now T221908.

Esanders updated the task description. (Show Details)Apr 26 2019, 6:10 PM
matmarex added a subscriber: matmarex.

So we did this (in April…), and the pretty diagram is the result, right?

ppelberg closed this task as Resolved.Feb 5 2020, 1:49 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptFeb 5 2020, 1:49 AM